package com.gic.haoban.manage.service.entity;

import java.io.Serializable;
import java.util.Date;

public class TabHaobanWxEnterpriseRelated implements Serializable {
    private String wxEnterpriseRelatedId;

    private String wxEnterpriseId;

    private String enterpriseId;
    
    private String enterpriseName;

    private String version;

    private Integer statusFlag;

    private Date createTime;

    private Date updateTime;
    
    private String staffId;
    
    private String staffName;

    private Integer wxEnterpriseType;

    private Integer memberOpenCardFlag;

    private Integer rangeType;

    private Integer clerkEditFlag;

    public Integer getClerkEditFlag() {
        return clerkEditFlag;
    }

    public void setClerkEditFlag(Integer clerkEditFlag) {
        this.clerkEditFlag = clerkEditFlag;
    }

    private static final long serialVersionUID = 1L;

    public Integer getRangeType() {
        return rangeType;
    }

    public void setRangeType(Integer rangeType) {
        this.rangeType = rangeType;
    }

    public Integer getWxEnterpriseType() {
        return wxEnterpriseType;
    }

    public void setWxEnterpriseType(Integer wxEnterpriseType) {
        this.wxEnterpriseType = wxEnterpriseType;
    }

    public Integer getMemberOpenCardFlag() {
        return memberOpenCardFlag;
    }

    public void setMemberOpenCardFlag(Integer memberOpenCardFlag) {
        this.memberOpenCardFlag = memberOpenCardFlag;
    }

    public String getWxEnterpriseRelatedId() {
        return wxEnterpriseRelatedId;
    }

    public void setWxEnterpriseRelatedId(String wxEnterpriseRelatedId) {
        this.wxEnterpriseRelatedId = wxEnterpriseRelatedId == null ? null : wxEnterpriseRelatedId.trim();
    }

    public String getWxEnterpriseId() {
        return wxEnterpriseId;
    }

    public void setWxEnterpriseId(String wxEnterpriseId) {
        this.wxEnterpriseId = wxEnterpriseId == null ? null : wxEnterpriseId.trim();
    }

    public String getEnterpriseId() {
        return enterpriseId;
    }

    public void setEnterpriseId(String enterpriseId) {
        this.enterpriseId = enterpriseId == null ? null : enterpriseId.trim();
    }

    public String getVersion() {
        return version;
    }

    public void setVersion(String version) {
        this.version = version == null ? null : version.trim();
    }

    public Integer getStatusFlag() {
        return statusFlag;
    }

    public void setStatusFlag(Integer statusFlag) {
        this.statusFlag = statusFlag;
    }

    public Date getCreateTime() {
        return createTime;
    }

    public void setCreateTime(Date createTime) {
        this.createTime = createTime;
    }

    public Date getUpdateTime() {
        return updateTime;
    }

    public void setUpdateTime(Date updateTime) {
        this.updateTime = updateTime;
    }

	public String getStaffId() {
		return staffId;
	}

	public void setStaffId(String staffId) {
		this.staffId = staffId;
	}

	public String getStaffName() {
		return staffName;
	}

	public void setStaffName(String staffName) {
		this.staffName = staffName;
	}

    public String getEnterpriseName() {
        return enterpriseName;
    }

    public void setEnterpriseName(String enterpriseName) {
        this.enterpriseName = enterpriseName;
    }
}